Subject: bug#53702: 27.1; diary does not display some entries in european style

From: Francesco Potortì <[email-masked]>
Date: Thu, 08 Sep 2022 15:41:46 +0200

>Michael Heerdegen <[email-masked]> writes:
>> did you have the chance to try if that patch (repeated below) fixes your
>> problem?
>
>This was half a year ago, but I see that Francesco wasn't in the CCs, so
>perhaps he never got the message?

I suspect so...

>Francesco, can you try Michael's patch and see whether that fixes the
>problem?

Yes.  Can you please send it to me together with my report? (I don't remember the problem any more...)

>> I'm now a bit worried about this paragraph in
>> (info "(emacs) Appointments"):
>>
>> |    You can write times in am/pm style (with ‘12:00am’ standing for
>> | midnight and ‘12:00pm’ standing for noon), or 24-hour European/military
>> | style.  You need not be consistent; your diary file can have a mixture
>> | of the two styles.  Times must be at the beginning of diary entries if
>> | they are to be recognized.
>>
>> Military style is 1200 for 12:00am, right?

Mh.  Military style is 12:00 (or 12.00) for noon.  That's for sure.

I suppose that in am/pm style we have:
00:00 am midnight this day
11:59 am one minute to noon today
00:00 pm noon
11:59 pm one minute to midnight today

This would imply what is written in the paragraph you cited above.